%global baseversion 4.6
%global zipversion 46
%global zipname taglist
#used for pre-releases:
%global vimfiles_root %{_datadir}/vim/vimfiles

Summary: The taglist plugin for VIM editor
Name: vim-%{zipname}
Version: %{baseversion}
Release: 7%{?dist}
Group: Applications/Editors

License: Vim
URL:     http://vim-taglist.sourceforge.net/
Source:  http://sourceforge.net/projects/vim-taglist/files/vim-taglist/4.6/taglist_46.zip

Requires: vim-common
Requires(post): vim
Requires(postun): vim
Requires: ctags
BuildArch: noarch

%description
The "Tag List" plugin is a source code browser plugin for vim and provides
an overview of the structure of source code files and allows you to efficiently
browse through source code files for different programming languages.

%prep
%setup -c taglist -q -n %{zipname}

%build

%install
mkdir -p %{buildroot}/%{vimfiles_root}
cp -ar {doc,plugin} %{buildroot}%{vimfiles_root}
chmod 644 %{buildroot}%{vimfiles_root}/doc/*

%post
vim -c ":helptags %{vimfiles_root}/doc" -c :q &> /dev/null

%postun
rm %{vimfiles_root}/doc/tags
vim -c ":helptags %{vimfiles_root}/doc" -c :q &> /dev/null

%clean

%files 
%{vimfiles_root}/plugin/*
%doc %{vimfiles_root}/doc/*

%changelog
* Thu Sep 26 2013 Petr Hracek <phracek@redhat.com> - 4.6-7
- Ctags added into requires section (#1010967)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 07 2013 Petr Hracek <phracek@redhat.com> - 4.6-5
- License should be Vim
- Delete the BuildRoot sections

* Tue Apr 30 2013 Petr Hracek <phracek@redhat.com> - 4.6-4
- Correction of License field

* Thu Apr 25 2013 Petr Hracek <phracek@redhat.com> - 4.6-3
- Correction of Requires
- Files are stored in vimfiles directory
- added post and postun sections

* Mon Apr 22 2013 Petr Hracek <phracek@redhat.com> 4.6-2
- Include Source URL

* Mon Apr 22 2013 Petr Hracek <phracek@redhat.com> 4.6-1
- Initial version
